#ifndef __GHCPLATFORM_H__
#define __GHCPLATFORM_H__

#define BuildPlatform_TYPE  arm_apple_darwin
#define HostPlatform_TYPE   arm_apple_darwin

#define arm_apple_darwin_BUILD  1
#define arm_apple_darwin_HOST  1

#define arm_BUILD_ARCH  1
#define arm_HOST_ARCH  1
#define BUILD_ARCH  "arm"
#define HOST_ARCH  "arm"

#define darwin_BUILD_OS  1
#define darwin_HOST_OS  1
#define BUILD_OS  "darwin"
#define HOST_OS  "darwin"

#define apple_BUILD_VENDOR  1
#define apple_HOST_VENDOR  1
#define BUILD_VENDOR  "apple"
#define HOST_VENDOR  "apple"

/* These TARGET macros are for backwards compatibily... DO NOT USE! */
#define TargetPlatform_TYPE arm_apple_darwin
#define arm_apple_darwin_TARGET  1
#define arm_TARGET_ARCH  1
#define TARGET_ARCH  "arm"
#define darwin_TARGET_OS  1
#define TARGET_OS  "darwin"
#define apple_TARGET_VENDOR  1

#endif /* __GHCPLATFORM_H__ */
